CLOCK(3)

NAME
clock - determine processor time used

LIBRARY
libc

SYNOPSIS
#include <time.h>
clock_t
clock(void);

DESCRIPTION
The clock() function determines the amount of processor time used since the invocation of the calling process, measured in CLOCKS_PER_SECs.

RETURN VALUES
The clock() function returns the amount of time used unless an error occurs, in which case the return value is -1.

SEE ALSO
getrusage(2)

STANDARDS
The clock() function conforms to ansiC.